@CHARSET "UTF-8";

@media ( min-width : 576px) {
	#circle {
		width: 28px; /* ความกว้าง */
		height: 28px; /* ความสูง */
		background: red; /* สี */
		-moz-border-radius: 10px;
		-webkit-border-radius: 10px;
		border-radius: 14px;
		font-size: 0.8em;
		text-align: center;
		color: #fff;
		font-weight: bold;
		position: absolute;
		left: 30px;
		top: 3px;
	}
	#img{
		width:100%;
	}
	#top-index {
		padding-top: 150px;
	}
	#body{
		font-size: 1.2em;
		padding-top: 7px;
	}
	#left {
		width: 0%;
	}
	#left-m {
		width: 6%;
	}
	#center {
		width: 84%;
	}
	#right {
		width: 10%;
	}
	#name {
		font-size: 0.9em;
	}
	.permission {
		width: 70%;
	}
	.lang_size {
		font-size: 1.1em;
		color:#888888;
	}
	.switch_lang {
		position: relative;
		display: inline-block;
		width: 41px;
		height: 18px;
	}
	
	.switch_lang input { 
		opacity: 0;
		width: 0;
		height: 0;
	}
	
	.slider_lang {
		position: absolute;
		cursor: pointer;
		top: -2;
		left: 0;
		right: 0;
		bottom: 0;
		background-color: #fff;
		border: 1px solid #D9D9D9;
		-webkit-transition: .5s;
		transition: .5s;
	}
	
	.slider_lang:before {
		position: absolute;
		content: "";
		height: 0.85em;
		width: 0.85em;
		left: 3px;
		bottom: 2px;
		background-color: c0c0c0;
		-webkit-transition: .4s;
		transition: .4s;
	}
	
	.aa_lang:checked + .slider_lang {
		background-color: #fff;
	}
	

	.aa_lang:checked + .slider_lang:before {
		-webkit-transform: translateX(19px);
		-ms-transform: translateX(19px);
		transform: translateX(19px);
	}
	
	/* Rounded sliders */
	.slider_lang.round_lang {
		border-radius: 34px;
	}
	
	.slider_lang.round_lang:before {
		border-radius: 50%;
	}
	/*###############*/
	.switch {
		position: relative;
		display: inline-block;
		top:4;
		width: 45px;
		height: 25px;
	}
	
	.switch input { 
		opacity: 0;
		width: 0;
		height: 0;
	}
	
	.slider {
		position: absolute;
		cursor: pointer;
		top: 0;
		left: 0;
		right: 0;
		bottom: 0;
		background-color: red;
		border: 1px solid #FFF;
		-webkit-transition: .5s;
		transition: .5s;
	}
	
	.slider:before {
		position: absolute;
		content: "";
		height: 0.8em;
		width: 0.8em;
		left: 4px;
		bottom: 4px;
		background-color: #FFF;
		-webkit-transition: .4s;
		transition: .4s;
	}
	
	.aa:checked + .slider {
		background-color: green;
	}
	

	.aa:checked + .slider:before {
		-webkit-transform: translateX(19px);
		-ms-transform: translateX(19px);
		transform: translateX(19px);
	}
	
	/* Rounded sliders */
	.slider.round {
		border-radius: 34px;
	}
	
	.slider.round:before {
		border-radius: 50%;
	}
	.font-table {
		font-size: clamp(0.65em, 1vw, 1em);
	}
	.font-sub-table {
		font-size: clamp(1.1em, 0.5385vw, 1em);
	}
	.font-calendar {
		font-size: clamp(0.8em, 1vw, 1.3em);
	}
	.font-tab-menu {
		font-size: clamp(0.7em, 1vw, 0.9em);
	}
	.table-calendar {
		border:1px solid #bcbcbc; 
		width:260px; 
		text-align:center; 
		border-radius: 15px; 
		border-collapse: separate; 
		border-spacing: 0;
	}

}

@media ( min-width : 992px) {
	#circle {
		width: 20px; /* ความกว้าง */
		height: 20px; /* ความสูง */
		background: red; /* สี */
		-moz-border-radius: 10px;
		-webkit-border-radius: 10px;
		border-radius: 10px;
		font-size: 0.8em;
		text-align: center;
		color: #fff;
		font-weight: bold;
		position: absolute;
		left: 30px;
		top: 3px;
	}
	#img{
		width:70%;
	}
	#top-index {
		padding-top: 70px;
	}
	#body{
		font-size: 1em;
		padding-top: 25px;
	}
	
	#left {
		width: 30%;
	}
	#left-m {
		width: 0%;
	}
	#center {
		width: 40%;
	}
	#right {
		width: 30%;
	}
	#name {
		font-size: 0.9em;
	}
	.permission {
		width: 60%;
	}
	.lang_size {
		font-size: 0.9em;
		color:#888888;
	}
	.switch_lang {
		position: relative;
		display: inline-block;
		width: 38px;
		height: 18px;
	}
	
	.switch_lang input { 
		opacity: 0;
		width: 0;
		height: 0;
	}
	
	.slider_lang {
		position: absolute;
		cursor: pointer;
		top: 0;
		left: 0;
		right: 0;
		bottom: 0;
		background-color: #fff;
		border: 1px solid #D9D9D9;
		-webkit-transition: .5s;
		transition: .5s;
	}
	
	.slider_lang:before {
		position: absolute;
		content: "";
		height: 0.75em;
		width: 0.75em;
		left: 3px;
		bottom: 2px;
		background-color: c0c0c0;
		-webkit-transition: .4s;
		transition: .4s;
	}
	
	.aa_lang:checked + .slider_lang {
		background-color: #fff;
	}
	

	.aa_lang:checked + .slider_lang:before {
		-webkit-transform: translateX(19px);
		-ms-transform: translateX(19px);
		transform: translateX(19px);
	}
	
	/* Rounded sliders */
	.slider_lang.round_lang {
		border-radius: 34px;
	}
	
	.slider_lang.round_lang:before {
		border-radius: 50%;
	}

	/*###############*/
	.switch {
		position: relative;
		display: inline-block;
		width: 38px;
		height: 18px;
	}
	
	.switch input { 
		opacity: 0;
		width: 0;
		height: 0;
	}
	
	.slider {
		position: absolute;
		cursor: pointer;
		top: 0;
		left: 0;
		right: 0;
		bottom: 0;
		background-color: red;
		border: 1px solid #FFF;
		-webkit-transition: .5s;
		transition: .5s;
	}
	
	.slider:before {
		position: absolute;
		content: "";
		height: 0.75em;
		width: 0.75em;
		left: 3px;
		bottom: 2px;
		background-color: #FFF;
		-webkit-transition: .4s;
		transition: .4s;
	}
	
	.aa:checked + .slider {
		background-color: green;
	}
	

	.aa:checked + .slider:before {
		-webkit-transform: translateX(19px);
		-ms-transform: translateX(19px);
		transform: translateX(19px);
	}
	
	/* Rounded sliders */
	.slider.round {
		border-radius: 34px;
	}
	
	.slider.round:before {
		border-radius: 50%;
	}
	.font-table {
		font-size: clamp(0.65em, 1vw, 1em);
	}
	.font-sub-table {
		font-size: clamp(1.1em, 0.5385vw, 1em);
	}
	.font-calendar {
		font-size: clamp(0.8em, 1vw, 1.3em);
	}
	.font-tab-menu {
		font-size: clamp(0.7em, 1vw, 0.9em);
	}
	.table-calendar {
		border:1px solid #bcbcbc; 
		width:260px; 
		text-align:center; 
		border-radius: 15px; 
		border-collapse: separate; 
		border-spacing: 0;
	}
}

@media ( min-width : 1200px) {
	#circle {
		width: 20px; /* ความกว้าง */
		height: 20px; /* ความสูง */
		background: red; /* สี */
		-moz-border-radius: 10px;
		-webkit-border-radius: 10px;
		border-radius: 10px;
		font-size: 0.8em;
		text-align: center;
		color: #fff;
		font-weight: bold;
		position: absolute;
		left: 30px;
		top: 3px;
	}
	#img{
		width:70%;
	}
	#top-index {
		padding-top: 150px;
	}
	#body{
		font-size: 1.1em;
		padding-top: 25px;
	}
	#left {
		width: 30%;
	}
	#left-m {
		width: 0%;
	}
	#center {
		width: 40%;
	}
	#right {
		width: 30%;
	}
	#name {
		font-size: 0.9em;
	}
	.permission {
		width: 50%;
	}
	.lang_size {
		font-size: 0.9em;
		color:#888888;
	}
	.switch_lang {
		position: relative;
		display: inline-block;
		width: 38px;
		height: 18px;
	}
	
	.switch_lang input { 
		opacity: 0;
		width: 0;
		height: 0;
	}
	
	.slider_lang {
		position: absolute;
		cursor: pointer;
		top: 0;
		left: 0;
		right: 0;
		bottom: 0;
		background-color: #fff;
		border: 1px solid #D9D9D9;
		-webkit-transition: .5s;
		transition: .5s;
	}
	
	.slider_lang:before {
		position: absolute;
		content: "";
		height: 0.75em;
		width: 0.75em;
		left: 3px;
		bottom: 2px;
		background-color: c0c0c0;
		-webkit-transition: .4s;
		transition: .4s;
	}
	
	.aa_lang:checked + .slider_lang {
		background-color: #fff;
	}
	

	.aa_lang:checked + .slider_lang:before {
		-webkit-transform: translateX(19px);
		-ms-transform: translateX(19px);
		transform: translateX(19px);
	}
	
	/* Rounded sliders */
	.slider_lang.round_lang {
		border-radius: 34px;
	}
	
	.slider_lang.round_lang:before {
		border-radius: 50%;
	}
	/*###############*/
	.switch {
		position: relative;
		display: inline-block;
		width: 41px;
		height: 20px;
	}
	
	.switch input { 
		opacity: 0;
		width: 0;
		height: 0;
	}
	
	.slider {
		position: absolute;
		cursor: pointer;
		top: 0;
		left: 0;
		right: 0;
		bottom: 0;
		background-color: red;
		border: 1px solid #FFF;
		-webkit-transition: .5s;
		transition: .5s;
	}
	
	.slider:before {
		position: absolute;
		content: "";
		height: 0.7em;
		width: 0.7em;
		left: 3px;
		bottom: 3px;
		background-color: #FFF;
		-webkit-transition: .4s;
		transition: .4s;
	}
	
	.aa:checked + .slider {
		background-color: green;
	}
	

	.aa:checked + .slider:before {
		-webkit-transform: translateX(19px);
		-ms-transform: translateX(19px);
		transform: translateX(19px);
	}
	
	/* Rounded sliders */
	.slider.round {
		border-radius: 34px;
	}
	
	.slider.round:before {
		border-radius: 50%;
	}
	.font-table {
		font-size: clamp(0.65em, 1vw, 1em);
	}
	.font-sub-table {
		font-size: clamp(1.1em, 0.5385vw, 1em);
	}
	.font-calendar-head {
		font-size: clamp(0.7em, 0.7vw, 1.3em);
	}
	.font-calendar {
		font-size: clamp(0.6em, 0.7vw, 1.3em);
	}
	.font-tab-menu {
		font-size: clamp(0.6em, 0.9vw, 0.9em);
	}
	.table-calendar {
		border:1px solid #bcbcbc; 
		width:260px; 
		text-align:center; 
		border-radius: 15px; 
		border-collapse: separate; 
		border-spacing: 0;
	}
	
}

@media ( min-width : 1600px) {
	#circle {
		width: 20px; /* ความกว้าง */
		height: 20px; /* ความสูง */
		background: red; /* สี */
		-moz-border-radius: 10px;
		-webkit-border-radius: 10px;
		border-radius: 10px;
		font-size: 0.8em;
		text-align: center;
		color: #fff;
		font-weight: bold;
		position: absolute;
		left: 30px;
		top: 3px;
	}
	#img{
		width:100%;
	}
	#top-index {
		padding-top: 150px;
	}
	#body{
		font-size: 1em;
		padding-top: 25px;
	}
	#left {
		width: 20%;
	}
	#left-m {
		width: 0%;
	}
	#center {
		width: 63%;
	}
	#right {
		width: 20%;
	}
	#name {
		font-size: 0.9em;
	}
	.permission {
		width: 50%;
	}
	.lang_size {
		font-size: 0.9em;
		color:#888888;
	}
	.switch_lang {
		position: relative;
		display: inline-block;
		width: 38px;
		height: 18px;
	}
	
	.switch_lang input { 
		opacity: 0;
		width: 0;
		height: 0;
	}
	
	.slider_lang {
		position: absolute;
		cursor: pointer;
		top: 0;
		left: 0;
		right: 0;
		bottom: 0;
		background-color: #fff;
		border: 1px solid #D9D9D9;
		-webkit-transition: .5s;
		transition: .5s;
	}
	
	.slider_lang:before {
		position: absolute;
		content: "";
		height: 0.75em;
		width: 0.75em;
		left: 3px;
		bottom: 2px;
		background-color: c0c0c0;
		-webkit-transition: .4s;
		transition: .4s;
	}
	
	.aa_lang:checked + .slider_lang {
		background-color: #fff;
	}
	

	.aa_lang:checked + .slider_lang:before {
		-webkit-transform: translateX(19px);
		-ms-transform: translateX(19px);
		transform: translateX(19px);
	}
	
	/* Rounded sliders */
	.slider_lang.round_lang {
		border-radius: 34px;
	}
	
	.slider_lang.round_lang:before {
		border-radius: 50%;
	}
	/*###############*/
	.switch {
		position: relative;
		display: inline-block;
		width: 38px;
		height: 18px;
	}
	
	.switch input { 
		opacity: 0;
		width: 0;
		height: 0;
	}
	
	.slider {
		position: absolute;
		cursor: pointer;
		top: 0;
		left: 0;
		right: 0;
		bottom: 0;
		background-color: red;
		border: 1px solid #FFF;
		-webkit-transition: .5s;
		transition: .5s;
	}
	
	.slider:before {
		position: absolute;
		content: "";
		height: 0.75em;
		width: 0.75em;
		left: 3px;
		bottom: 2px;
		background-color: #FFF;
		-webkit-transition: .4s;
		transition: .4s;
	}
	
	.aa:checked + .slider {
		background-color: green;
	}
	

	.aa:checked + .slider:before {
		-webkit-transform: translateX(19px);
		-ms-transform: translateX(19px);
		transform: translateX(19px);
	}
	
	/* Rounded sliders */
	.slider.round {
		border-radius: 34px;
	}
	
	.slider.round:before {
		border-radius: 50%;
	}
	.font-table {
		font-size: clamp(0.65em, 1vw, 1em);
	}
	.font-sub-table {
		font-size: clamp(1.1em, 0.5385vw, 1em);
	}
	.font-calendar {
		font-size: clamp(0.8em, 1vw, 1.3em);
	}
	.font-tab-menu {
		font-size: clamp(0.7em, 1vw, 0.9em);
	}
	.table-calendar {
		border:1px solid #bcbcbc; 
		width:260px; 
		text-align:center; 
		border-radius: 15px; 
		border-collapse: separate; 
		border-spacing: 0;
	}
}

@media ( min-width : 2300px) {
	#circle {
		width: 20px; /* ความกว้าง */
		height: 20px; /* ความสูง */
		background: red; /* สี */
		-moz-border-radius: 10px;
		-webkit-border-radius: 10px;
		border-radius: 10px;
		font-size: 0.8em;
		text-align: center;
		color: #fff;
		font-weight: bold;
		position: absolute;
		left: 30px;
		top: 3px;
	}
	#img{
		width:100%;
	}
	#top-index {
		padding-top: 200px;
	}
	#body{
		font-size: 1em;
		padding-top: 25px;
	}
	#left {
		width: 20%;
	}
	#left-m {
		width: 0%;
	}
	#center {
		width: 63%;
	}
	#right {
		width: 20%;
	}
	#name {
		font-size: 0.9em;
	}
	.permission {
		width: 50%;
	}
	.lang_size {
		font-size: 0.9em;
		color:#888888;
	}
	.switch_lang {
		position: relative;
		display: inline-block;
		width: 38px;
		height: 18px;
	}
	
	.switch_lang input { 
		opacity: 0;
		width: 0;
		height: 0;
	}
	
	.slider_lang {
		position: absolute;
		cursor: pointer;
		top: 0;
		left: 0;
		right: 0;
		bottom: 0;
		background-color: #fff;
		border: 1px solid #D9D9D9;
		-webkit-transition: .5s;
		transition: .5s;
	}
	
	.slider_lang:before {
		position: absolute;
		content: "";
		height: 0.75em;
		width: 0.75em;
		left: 3px;
		bottom: 2px;
		background-color: #c0c0c0;
		-webkit-transition: .4s;
		transition: .4s;
	}
	
	.aa_lang:checked + .slider_lang {
		background-color: #fff;
	}
	

	.aa_lang:checked + .slider_lang:before {
		-webkit-transform: translateX(19px);
		-ms-transform: translateX(19px);
		transform: translateX(19px);
	}
	
	/* Rounded sliders */
	.slider_lang.round_lang {
		border-radius: 34px;
	}
	
	.slider_lang.round_lang:before {
		border-radius: 50%;
	}

	/*###############*/
	.switch {
		position: relative;
		display: inline-block;
		width: 45px;
		height: 22px;
	}
	
	.switch input { 
		opacity: 0;
		width: 0;
		height: 0;
	}
	
	.slider {
		position: absolute;
		cursor: pointer;
		top: -5;
		right: 0;
		bottom: 2;
		background-color: red;
		border: 1px solid #FFF;
		-webkit-transition: .5s;
		transition: .5s;
	}
	
	.slider:before {
		position: absolute;
		content: "";
		height: 0.8em;
		width: 0.8em;
		left: 5px;
		bottom: 5px;
		background-color: #FFF;
		-webkit-transition: .4s;
		transition: .4s;
	}
	
	.aa:checked + .slider {
		background-color: green;
	}
	

	.aa:checked + .slider:before {
		-webkit-transform: translateX(19px);
		-ms-transform: translateX(19px);
		transform: translateX(19px);
	}
	
	/* Rounded sliders */
	.slider.round {
		border-radius: 34px;
	}
	
	.slider.round:before {
		border-radius: 50%;
	}
	.font-table {
		font-size: clamp(0.65em, 1vw, 1em);
	}
	.font-sub-table {
		font-size: clamp(1.1em, 0.5385vw, 1em);
	}
	.font-calendar {
		font-size: clamp(0.8em, 1vw, 1.1em);
	}
	.font-tab-menu {
		font-size: clamp(0.7em, 1vw, 0.9em);
	}
	.table-calendar {
		border:1px solid #bcbcbc; 
		width:400px; 
		text-align:center; 
		border-radius: 15px; 
		border-collapse: separate; 
		border-spacing: 0;
	}

}
#body {
	background-color: #eeeeee;
}

.quantity-control {
	text-align: center;
	height: calc(1.5em +   0.75rem +   2px);
	font-weight: 400;
	line-height: 1.5;
	color: #495057;
	background-color: #fff;
	background-clip: padding-box;
	border: 1px solid #ced4da;
	border-radius: 0.25rem;
	transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
}

.input-control {
	width: 100%;
	text-align: center;
	height: calc(1.5em +   0.75rem +   2px);
	font-weight: 400;
	line-height: 1.5;
	color: #495057;
	background-color: #fff;
	background-clip: padding-box;
	border: 1px solid #ced4da;
	border-radius: 0.25rem;
	transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
}

.input-control:focus {
	color: #495057;
	background-color: #fff;
	border-color: #00CED1;
	outline: 0;
}

#footer-page {
	height: 50px;
}

.head {
	font-weight: bold;
	font-size: 1.5em;
	color : #c3002f;
}

.no_item {
	background-color: #e0e0e0;
	padding-top: 5px;
	padding-bottom: 5px;
	text-align: center;
	font-weight: bold;
}

.btn-quantity {
	display: inline-block;
	font-weight: 400;
	color: #212529;
	text-align: center;
	vertical-align: middle;
	-webkit-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none;
	background-color: transparent;
	border: 1px solid transparent;
	padding: 0rem 0rem;
	font-size: 1rem;
	line-height: 1.5;
	border-radius: 0.25rem;
	transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out,
	border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
}

.pointer {
	cursor: pointer;
}

.pointer:hover {
	color: #a3a3a3;
}

#center {
	font-weight: bold;
}

#con {
	width: 100%;
	padding-right: 40px;
	padding-left: 40px;
}

#name {
	color: #fff;
	font-weight: bold;
}

#cart-count {
	position: relative;
	padding-right: 15px;
	padding-left: 15px;
}
.top {
	border-top: 1px solid #009a9c;
}

.left {
	border-left: 1px solid #009a9c;
}

.right {
	border-right: 1px solid #009a9c;
}

.bottom {
	border-bottom: 1px solid #009a9c;
}

table.score {
	border: 1px solid #009a9c;
	border-collapse: collapse;
	width: 100%;
}

td.score {
	border: 1px solid #009a9c;
	line-height: 1.5;
}

.head-score {
	background-color: #00CED1;
	color: #fff;
	padding: 10 0 10 0px;
	text-align: center;
}

.body-score {
	padding: 10 0 10 0px;
	text-align: center;
}

.input-container {
	display: -ms-flexbox; /* IE10 */
	display: flex;
	width: 100%;
	margin-bottom: 15px;
}

.icon {
	background: #00CED1;
	color: white;
	text-align: center;
	min-width: 50px;
	border: 0px;
	outline: none;
}

.input-field {
	width: 100%;
	outline: none;
}

.input-field:focus {
	border: 2px solid #00CED1;
}

.thammasat-font {
	font-family: 'THAMMASAT';
}

.thammasat-font-bold {
	font-family: 'THAMMASAT bold';
}

.font-size1 {
	font-size: 1.2em;
}

.font-size2 {
	font-size: 1.4em;
}

.none-data {
	color: red;
}

.center {
	text-align: center;
}

.context-menu {
	cursor: context-menu;
}

.shadow1 {
	box-shadow: 0px 0px 10px 1px rgba(0, 170, 150, 0.7);
}

:focus {
	outline: none;
}

.effect-20-position {
	position: relative;
} /* necessary to give position: relative to parent. */
.effect-20 {
	background: transparent;
}

.effect-20     ~ label {
	position: absolute;
	left: 14px;
	width: 100%;
	top: 5px;
	color: #aaa;
	transition: 0.3s;
	z-index: -1;
	letter-spacing: 0.5px;
}

.flex-container {
	display: flex;             /* เปิดใช้งาน Flexbox */
	justify-content: center;   /* จัดกึ่งกลางตามแนวนอน (แกนหลัก) */
	align-items: center;       /* จัดกึ่งกลางตามแนวตั้ง (แกนรอง) */
	height: 300px;             /* กำหนดความสูงของคอนเทนเนอร์ (ตามความต้องการ) */
	border: 1px solid #ccc;    /* เพิ่มเส้นขอบเพื่อให้เห็นพื้นที่ชัดเจน */
}

.flex-container img {
	max-width: 100%;
	height: auto;
	/* รักษาสัดส่วน */
}

.nav_fix {
	padding-top: 10px;position: fixed;
	top: 0;
	width: 100%; /* Optional: to make it span the full width */
	background-color: #FFF; /* Optional: for visibility */
	z-index: 1000;
	margin-right: -15px;
	margin-left: -15px;
}

.container_absolute {
	padding-top: 10px;
	position : absolute;
	width: 100%; /* Optional: to make it span the full width */
	background-color: #FFF; /* Optional: for visibility */
	z-index: 1000;
	margin-right: -15px;
	margin-left: -15px;
}

.view {
	background-color: #d3e2f5;
}
.view:hover {
	background-color: #ecf4ff;
}
.view2 {
	background-color: #FFF;
}
.view2:hover {
	background-color: #ecf4ff;
	cursor:pointer;
}

.view_log {
	background-color: #d3e2f5;
}
.view_log:hover {
	background-color: #ecf4ff;
}
.view_log2 {
	background-color: #FFF;
}
.view_log2:hover {
	background-color: #e1e1e1;
	cursor:pointer;
}

.font-container {
	font-size: clamp(0.9em, 1vw, 1.1em);
}
.font-container-header {
	font-size: clamp(0.9em, 1vw, 1.2em);
}